summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Kennedy <mkennedy@gentoo.org>2005-04-16 22:31:43 +0000
committerMatthew Kennedy <mkennedy@gentoo.org>2005-04-16 22:31:43 +0000
commit6bda62a85f422a5dd08ee685231e06b21a0bf644 (patch)
tree153819edb967936094ef2acc70b5eb3aa6fae995 /dev-lisp/common-lisp-controller
parent(Portage version: 2.0.51.19) (Manifest recommit) (diff)
downloadgentoo-2-6bda62a85f422a5dd08ee685231e06b21a0bf644.tar.gz
gentoo-2-6bda62a85f422a5dd08ee685231e06b21a0bf644.tar.bz2
gentoo-2-6bda62a85f422a5dd08ee685231e06b21a0bf644.zip
(Portage version: 2.0.51.19)
Diffstat (limited to 'dev-lisp/common-lisp-controller')
-rw-r--r--dev-lisp/common-lisp-controller/common-lisp-controller-3.64.ebuild115
-rw-r--r--dev-lisp/common-lisp-controller/common-lisp-controller-3.76-r1.ebuild111
-rw-r--r--dev-lisp/common-lisp-controller/common-lisp-controller-3.76-r2.ebuild111
-rw-r--r--dev-lisp/common-lisp-controller/common-lisp-controller-3.76.ebuild103
-rw-r--r--dev-lisp/common-lisp-controller/common-lisp-controller-3.82.ebuild112
-rw-r--r--dev-lisp/common-lisp-controller/common-lisp-controller-3.91.ebuild114
-rw-r--r--dev-lisp/common-lisp-controller/files/3.76-coreutils-gentoo.patch42
-rw-r--r--dev-lisp/common-lisp-controller/files/3.82/clc-send-command146
-rw-r--r--dev-lisp/common-lisp-controller/files/3.82/common-lisp-controller-gentoo.patch121
-rw-r--r--dev-lisp/common-lisp-controller/files/3.91/clc-send-command146
-rw-r--r--dev-lisp/common-lisp-controller/files/3.91/common-lisp-controller-gentoo.patch105
-rw-r--r--dev-lisp/common-lisp-controller/files/clc-build-daemon21
-rw-r--r--dev-lisp/common-lisp-controller/files/clc-gentoo-3.76.patch.gzbin8398 -> 0 bytes
-rw-r--r--dev-lisp/common-lisp-controller/files/clc-send-command146
-rw-r--r--dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.641
-rw-r--r--dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.761
-rw-r--r--dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.76-r11
-rw-r--r--dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.76-r21
-rw-r--r--dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.821
-rw-r--r--dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.911
-rw-r--r--dev-lisp/common-lisp-controller/files/inetd.conf-snippet1
21 files changed, 0 insertions, 1400 deletions
diff --git a/dev-lisp/common-lisp-controller/common-lisp-controller-3.64.ebuild b/dev-lisp/common-lisp-controller/common-lisp-controller-3.64.ebuild
deleted file mode 100644
index d43b0f44ba2b..000000000000
--- a/dev-lisp/common-lisp-controller/common-lisp-controller-3.64.ebuild
+++ /dev/null
@@ -1,115 +0,0 @@
-# Copyright 1999-2005 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lisp/common-lisp-controller/common-lisp-controller-3.64.ebuild,v 1.12 2005/02/13 03:41:19 mkennedy Exp $
-
-DESCRIPTION="Common Lisp Controller"
-HOMEPAGE="http://packages.debian.org/unstable/devel/common-lisp-controller.html"
-SRC_URI="http://ftp.debian.org/debian/pool/main/c/common-lisp-controller/${PN}_${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~x86 ~sparc"
-IUSE=""
-
-DEPEND="sys-apps/netkit-base
- dev-lisp/cl-defsystem3
- dev-lisp/cl-asdf
- app-admin/realpath"
-
-src_compile() {
- make || die
-}
-
-src_install() {
- dobin clc-autobuild* \
- clc-register-user-package \
- clc-send-command \
- clc-unregister-user-package
-
- dosbin clc-build-daemon \
- clc-reregister-all-impl \
- register-common-lisp-source \
- register-common-lisp-implementation \
- unregister-common-lisp-source \
- unregister-common-lisp-implementation
-
- exeinto /usr/lib/common-lisp-controller
- doexe debug-daemon-problems.sh
-
- dodir /usr/share/common-lisp/source/common-lisp-controller
- insinto /usr/share/common-lisp/source/common-lisp-controller
- doins common-lisp-controller.lisp \
- post-sysdef-install.lisp \
- pre-sysdef-install.lisp
-
- dodir /usr/lib/common-lisp
- dodir /usr/lib/common-lisp/bin
-
- dodir /etc/common-lisp
- touch ${D}/etc/common-lisp/autobuild # autobuild by default
-
- dodoc *.txt README.*
- doman man/*.1 man/*.8 man/old/*.1 man/old/*.8
-
- einfo ">>> Creating /etc/lisp-config.lisp"
- dodir /etc
- cat >${D}/etc/lisp-config.lisp <<EOF
-(in-package :common-lisp-user)
-#+(or cmu scl) (setf system:*short-site-name* "Unknown" system:*long-site-name* "Unknown")
-#+sbcl (setf sb-sys:*short-site-name* "Unknown" sb-sys:*long-site-name* "Unknown")
-EOF
-}
-
-pkg_postinst() {
- einfo ">>> Creating cl-builder user and group if necessary"
- getent group cl-builder >/dev/null || \
- groupadd cl-builder
- getent passwd cl-builder >/dev/null || \
- useradd -g cl-builder -s /bin/false cl-builder
-
- einfo ">>> Setting permissions for cl-builder"
- for compiler in /usr/lib/common-lisp/bin/*.sh
- do
- if [ -f "$compiler" -a -r "$compiler}" ] ; then
- i=${compiler##*/}
- i=${i%.sh}
- chown -R cl-builder:cl-builder /usr/lib/common-lisp/${i} >/dev/null || true
- fi
- done
-
- einfo ">>> You must execute:"
- einfo ">>> ebuild /var/db/pkg/dev-lisp/${PF}/${PF}.ebuild config"
- einfo ">>> to add the common-lisp-controller builder to /etc/inetd.conf"
-}
-
-pkg_config() {
- local inetd_line=`echo -e "8990\tstream\ttcp\tnowait.400\troot\t/usr/sbin/clc-build-daemon\tclc-build-daemon"`
- einfo ">>> Checking for an existing inetd.conf entry"
- if [ -f /etc/inetd.conf ] && grep "$inetd_line" /etc/inetd.conf >/dev/null ; then
- einfo ">>> Found existing entry. Nothing to do."
- else
- einfo "Appending common-lisp-controller builder to /etc/inetd.conf"
- echo "$inetd_line" >>/etc/inetd.conf || die "Cannot append to inetd.conf"
- einfo "Restart /etc/init.d/inetd to apply changes."
- fi
-}
-
-
-### from debian's postinst script:
-
-# abort-upgrade|abort-remove|abort-deconfigure)
-# update-inetd --remove "8990@localhost\tstream\ttcp\tnowait\troot\t/usr/sbin/clc-build-daemon"
-# for compiler in /usr/lib/common-lisp/bin/*.sh ; do
-# if [ -f "$compiler" -a -r "$compiler" ] ; then
-# i=${compiler##*/}
-# i=${i%.sh}
-# if [ -x "$compiler" ] ; then
-# echo Deinstalling for ${i##*/}
-# echo Removing Common Lisp Controller for $i
-# bash "$compiler" remove-clc || true
-# echo
-# echo Done rebuilding
-# fi
-# fi
-# done
-# ;;
diff --git a/dev-lisp/common-lisp-controller/common-lisp-controller-3.76-r1.ebuild b/dev-lisp/common-lisp-controller/common-lisp-controller-3.76-r1.ebuild
deleted file mode 100644
index 1c8d34de30b6..000000000000
--- a/dev-lisp/common-lisp-controller/common-lisp-controller-3.76-r1.ebuild
+++ /dev/null
@@ -1,111 +0,0 @@
-# Copyright 1999-2005 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lisp/common-lisp-controller/common-lisp-controller-3.76-r1.ebuild,v 1.8 2005/02/13 03:41:19 mkennedy Exp $
-
-inherit eutils
-
-DESCRIPTION="Common Lisp Controller"
-HOMEPAGE="http://packages.debian.org/unstable/devel/common-lisp-controller.html"
-SRC_URI="http://ftp.debian.org/debian/pool/main/c/common-lisp-controller/${PN}_${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="x86 ~sparc ~ppc ~mips"
-IUSE=""
-
-DEPEND="dev-lisp/cl-defsystem3
- dev-lisp/cl-asdf
- app-admin/realpath
- virtual/logger"
-
-S=${WORKDIR}/${PN}
-
-src_unpack() {
- unpack ${A}
- epatch ${FILESDIR}/${PV}-coreutils-gentoo.patch
-}
-
-src_install() {
- dobin clc-autobuild* \
- clc-register-user-package \
- clc-unregister-user-package
-
- dobin ${FILESDIR}/clc-send-command
-# newsbin clc-build-daemon-standalone clc-build-daemon
-
- dosbin clc-reregister-all-impl \
- register-common-lisp-source \
- register-common-lisp-implementation \
- unregister-common-lisp-source \
- unregister-common-lisp-implementation
-
- exeinto /usr/lib/common-lisp-controller
- doexe debug-daemon-problems.sh
-
- dodir /usr/share/common-lisp/source/common-lisp-controller
- insinto /usr/share/common-lisp/source/common-lisp-controller
- doins common-lisp-controller.lisp \
- post-sysdef-install.lisp \
- pre-sysdef-install.lisp
-
- dodir /usr/lib/common-lisp
- dodir /usr/lib/common-lisp/bin
-
- dodir /etc/common-lisp
- touch ${D}/etc/common-lisp/autobuild # autobuild by default
-
- dodoc *.txt README.*
- doman man/*.1 man/*.8 man/old/*.1
-
- einfo ">>> Creating /etc/lisp-config.lisp"
- dodir /etc
- cat >${D}/etc/lisp-config.lisp <<EOF
-(in-package :common-lisp-user)
-#+(or cmu scl) (setf system:*short-site-name* "Unknown" system:*long-site-name* "Unknown")
-#+sbcl (setf sb-sys:*short-site-name* "Unknown" sb-sys:*long-site-name* "Unknown")
-EOF
-
- dodoc ${FILESDIR}/README.Gentoo
- insinto /usr/share/doc/${PF}/inetd-examples
- doins ${FILESDIR}/{inetd.conf-snippet,clc-build-daemon}
-
- keepdir /usr/lib/common-lisp /usr/lib/common-lisp/bin
-}
-
-pkg_postinst() {
- userdel cl-builder &>/dev/null || true
- groupdel cl-builder &>/dev/null || true
- enewgroup cl-builder 407
- enewuser cl-builder 407 /bin/sh /usr/lib/common-lisp cl-builder
- chown root:root /usr/lib/common-lisp
-
- for compiler in /usr/lib/common-lisp/bin/*.sh
- do
- if [ -f "${compiler}" -a -r "${compiler}" -a -x "${compiler}" ] ; then
- i=${compiler##*/}
- i=${i%.sh}
- einfo ">>> Recompiling Common Lisp Controller for $i"
- bash "$compiler" install-clc || true
- einfo ">>> Done rebuilding"
- chown -R cl-builder:cl-builder /usr/lib/common-lisp/${i} &>/dev/null || true
- fi
- done
- echo
- while read line; do einfo "${line}"; done <${FILESDIR}/README.Gentoo
-}
-
-# pkg_prerm() {
-# for compiler in /usr/lib/common-lisp/bin/*.sh
-# do
-# if [ -f "$compiler" -a -r "$compiler}" ] ; then
-# i=${compiler##*/}
-# i=${i%.sh}
-# echo Deinstalling for ${i##*/}
-# echo Removing Common Lisp Controller for $i
-# if [ -x "$compiler"] ; then
-# bash "$compiler" remove-clc || true
-# fi
-# echo Done rebuilding
-# fi
-# done
-# }
diff --git a/dev-lisp/common-lisp-controller/common-lisp-controller-3.76-r2.ebuild b/dev-lisp/common-lisp-controller/common-lisp-controller-3.76-r2.ebuild
deleted file mode 100644
index 24346d483301..000000000000
--- a/dev-lisp/common-lisp-controller/common-lisp-controller-3.76-r2.ebuild
+++ /dev/null
@@ -1,111 +0,0 @@
-# Copyright 1999-2005 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lisp/common-lisp-controller/common-lisp-controller-3.76-r2.ebuild,v 1.5 2005/02/13 03:41:19 mkennedy Exp $
-
-inherit eutils
-
-DESCRIPTION="Common Lisp Controller"
-HOMEPAGE="http://packages.debian.org/unstable/devel/common-lisp-controller.html"
-SRC_URI="http://ftp.debian.org/debian/pool/main/c/common-lisp-controller/${PN}_${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="x86 ~sparc ~ppc ~mips"
-IUSE=""
-
-DEPEND="dev-lisp/cl-defsystem3
- dev-lisp/cl-asdf
- app-admin/realpath
- virtual/logger"
-
-S=${WORKDIR}/${PN}
-
-src_unpack() {
- unpack ${A}
- epatch ${FILESDIR}/${PV}-coreutils-gentoo.patch
-}
-
-src_install() {
- dobin clc-autobuild* \
- clc-register-user-package \
- clc-unregister-user-package
-
- dobin ${FILESDIR}/clc-send-command
-# newsbin clc-build-daemon-standalone clc-build-daemon
-
- dosbin clc-reregister-all-impl \
- register-common-lisp-source \
- register-common-lisp-implementation \
- unregister-common-lisp-source \
- unregister-common-lisp-implementation
-
- exeinto /usr/lib/common-lisp-controller
- doexe debug-daemon-problems.sh
-
- dodir /usr/share/common-lisp/source/common-lisp-controller
- insinto /usr/share/common-lisp/source/common-lisp-controller
- doins common-lisp-controller.lisp \
- post-sysdef-install.lisp \
- pre-sysdef-install.lisp
-
- dodir /usr/lib/common-lisp
- dodir /usr/lib/common-lisp/bin
-
- dodir /etc/common-lisp
- touch ${D}/etc/common-lisp/autobuild # autobuild by default
-
- dodoc *.txt README.*
- doman man/*.1 man/*.8 man/old/*.1
-
- einfo ">>> Creating /etc/lisp-config.lisp"
- dodir /etc
- cat >${D}/etc/lisp-config.lisp <<EOF
-(in-package :common-lisp-user)
-#+(or cmu scl) (setf system:*short-site-name* "Unknown" system:*long-site-name* "Unknown")
-#+sbcl (setf sb-sys:*short-site-name* "Unknown" sb-sys:*long-site-name* "Unknown")
-EOF
-
- dodoc ${FILESDIR}/README.Gentoo
- insinto /usr/share/doc/${PF}/inetd-examples
- doins ${FILESDIR}/{inetd.conf-snippet,clc-build-daemon}
-
- keepdir /usr/lib/common-lisp /usr/lib/common-lisp/bin
-}
-
-pkg_postinst() {
- userdel cl-builder &>/dev/null || true
- groupdel cl-builder &>/dev/null || true
- enewgroup cl-builder
- enewuser cl-builder -1 /bin/sh /usr/lib/common-lisp cl-builder
- chown root:root /usr/lib/common-lisp
-
- for compiler in /usr/lib/common-lisp/bin/*.sh
- do
- if [ -f "${compiler}" -a -r "${compiler}" -a -x "${compiler}" ] ; then
- i=${compiler##*/}
- i=${i%.sh}
- einfo ">>> Recompiling Common Lisp Controller for $i"
- bash "$compiler" install-clc || true
- einfo ">>> Done rebuilding"
- chown -R cl-builder:cl-builder /usr/lib/common-lisp/${i} &>/dev/null || true
- fi
- done
- echo
- while read line; do einfo "${line}"; done <${FILESDIR}/README.Gentoo
-}
-
-# pkg_prerm() {
-# for compiler in /usr/lib/common-lisp/bin/*.sh
-# do
-# if [ -f "$compiler" -a -r "$compiler}" ] ; then
-# i=${compiler##*/}
-# i=${i%.sh}
-# echo Deinstalling for ${i##*/}
-# echo Removing Common Lisp Controller for $i
-# if [ -x "$compiler"] ; then
-# bash "$compiler" remove-clc || true
-# fi
-# echo Done rebuilding
-# fi
-# done
-# }
diff --git a/dev-lisp/common-lisp-controller/common-lisp-controller-3.76.ebuild b/dev-lisp/common-lisp-controller/common-lisp-controller-3.76.ebuild
deleted file mode 100644
index 2a973621a230..000000000000
--- a/dev-lisp/common-lisp-controller/common-lisp-controller-3.76.ebuild
+++ /dev/null
@@ -1,103 +0,0 @@
-# Copyright 1999-2005 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lisp/common-lisp-controller/common-lisp-controller-3.76.ebuild,v 1.8 2005/02/13 03:41:19 mkennedy Exp $
-
-inherit eutils
-
-DESCRIPTION="Common Lisp Controller"
-HOMEPAGE="http://packages.debian.org/unstable/devel/common-lisp-controller.html"
-SRC_URI="http://ftp.debian.org/debian/pool/main/c/common-lisp-controller/${PN}_${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="x86 ~sparc"
-IUSE=""
-
-DEPEND="dev-lisp/cl-defsystem3
- dev-lisp/cl-asdf
- mail-client/mailx
- app-admin/realpath
- virtual/logger
- virtual/inetd"
-
-S=${WORKDIR}/${PN}
-
-src_compile() {
- make || die
-}
-
-src_install() {
- dobin clc-autobuild* \
- clc-register-user-package \
- clc-send-command \
- clc-unregister-user-package
-
- dosbin clc-build-daemon \
- clc-reregister-all-impl \
- register-common-lisp-source \
- register-common-lisp-implementation \
- unregister-common-lisp-source \
- unregister-common-lisp-implementation
-
- exeinto /usr/lib/common-lisp-controller
- doexe debug-daemon-problems.sh
-
- dodir /usr/share/common-lisp/source/common-lisp-controller
- insinto /usr/share/common-lisp/source/common-lisp-controller
- doins common-lisp-controller.lisp \
- post-sysdef-install.lisp \
- pre-sysdef-install.lisp
-
- dodir /usr/lib/common-lisp
- dodir /usr/lib/common-lisp/bin
-
- dodir /etc/common-lisp
- touch ${D}/etc/common-lisp/autobuild # autobuild by default
-
- dodoc *.txt README.*
- doman man/*.1 man/*.8 man/old/*.1 man/old/*.8
-
- einfo ">>> Creating /etc/lisp-config.lisp"
- dodir /etc
- cat >${D}/etc/lisp-config.lisp <<EOF
-(in-package :common-lisp-user)
-#+(or cmu scl) (setf system:*short-site-name* "Unknown" system:*long-site-name* "Unknown")
-#+sbcl (setf sb-sys:*short-site-name* "Unknown" sb-sys:*long-site-name* "Unknown")
-EOF
- dodoc ${FILESDIR}/README.Gentoo
-}
-
-pkg_postinst() {
- enewgroup cl-builder 407
- enewuser cl-builder 407 /bin/sh /usr/lib/common-lisp cl-builder
-
- for compiler in /usr/lib/common-lisp/bin/*.sh
- do
- if [ -f "${compiler}" -a -r "${compiler}" -a -x "${compiler}" ] ; then
- i=${compiler##*/}
- i=${i%.sh}
- einfo ">>> Reinstalling for $i"
- einfo ">>> Recompiling Common Lisp Controller for $i"
- bash "$compiler" install-clc || true
- echo Done rebuilding
- einfo ">>> Setting permissions for cl-builder in /usr/lib/common-lisp/${i}"
- chown -R cl-builder:cl-builder /usr/lib/common-lisp/${i} >/dev/null || true
- fi
- done
-}
-
-# pkg_prerm() {
-# for compiler in /usr/lib/common-lisp/bin/*.sh
-# do
-# if [ -f "$compiler" -a -r "$compiler}" ] ; then
-# i=${compiler##*/}
-# i=${i%.sh}
-# echo Deinstalling for ${i##*/}
-# echo Removing Common Lisp Controller for $i
-# if [ -x "$compiler"] ; then
-# bash "$compiler" remove-clc || true
-# fi
-# echo Done rebuilding
-# fi
-# done
-# }
diff --git a/dev-lisp/common-lisp-controller/common-lisp-controller-3.82.ebuild b/dev-lisp/common-lisp-controller/common-lisp-controller-3.82.ebuild
deleted file mode 100644
index 2e2c9a9d7f2f..000000000000
--- a/dev-lisp/common-lisp-controller/common-lisp-controller-3.82.ebuild
+++ /dev/null
@@ -1,112 +0,0 @@
-# Copyright 1999-2005 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lisp/common-lisp-controller/common-lisp-controller-3.82.ebuild,v 1.5 2005/02/13 03:41:19 mkennedy Exp $
-
-inherit eutils
-
-DESCRIPTION="Common Lisp Controller"
-HOMEPAGE="http://packages.debian.org/unstable/devel/common-lisp-controller.html"
-SRC_URI="http://ftp.debian.org/debian/pool/main/c/common-lisp-controller/${PN}_${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="x86 ~sparc ~ppc ~mips"
-IUSE=""
-
-DEPEND="dev-lisp/cl-defsystem3
- dev-lisp/cl-asdf
- app-admin/realpath
- virtual/logger"
-
-S=${WORKDIR}/${PN}
-
-src_unpack() {
- unpack ${A}
- cd ${S}
- epatch ${FILESDIR}/${PV}/${PN}-gentoo.patch
-}
-
-src_install() {
- dobin clc-autobuild* clc-register-user-package clc-unregister-user-package
-
- dobin ${FILESDIR}/${PV}/clc-send-command
-
- dosbin register-common-lisp-source unregister-common-lisp-source
-
- dodir /usr/share/common-lisp/source/common-lisp-controller
- insinto /usr/share/common-lisp/source/common-lisp-controller
-
- doins common-lisp-controller.lisp post-sysdef-install.lisp pre-sysdef-install.lisp
-
- dodir /usr/lib/common-lisp
- dodir /usr/lib/common-lisp/bin
-
- dodir /etc/common-lisp
- # autobuild by default
- touch ${D}/etc/common-lisp/autobuild
-
- for i in \
- clc-autobuild-check \
- clc-autobuild-only \
- clc-autobuild-impl \
- clc-autobuild-library \
- clc-unregister-user-package \
- clc-register-user-package
- do doman man/$i.1
- done
-
- einfo ">>> Creating /etc/lisp-config.lisp"
- dodir /etc
- cat >${D}/etc/lisp-config.lisp <<EOF
-
-(in-package :common-lisp-user)
-
-#+(or cmu scl)
-(setf system:*short-site-name* "Unknown"
- system:*long-site-name* "Unknown")
-
-#+sbcl
-(setf sb-sys:*short-site-name* "Unknown"
- sb-sys:*long-site-name* "Unknown")
-
-EOF
- dodoc ${FILESDIR}/README.Gentoo
- keepdir /usr/lib/common-lisp /usr/lib/common-lisp/bin
-}
-
-pkg_postinst() {
- userdel cl-builder &>/dev/null || true
- groupdel cl-builder &>/dev/null || true
- enewgroup cl-builder
- enewuser cl-builder -1 /bin/sh /usr/lib/common-lisp cl-builder
- chown root:root /usr/lib/common-lisp
- for compiler in /usr/lib/common-lisp/bin/*.sh
- do
- if [ -f "${compiler}" -a -r "${compiler}" -a -x "${compiler}" ] ; then
- i=${compiler##*/}
- i=${i%.sh}
- einfo ">>> Recompiling Common Lisp Controller for $i"
- bash "$compiler" install-clc || true
- einfo ">>> Done rebuilding"
- chown -R cl-builder:cl-builder /usr/lib/common-lisp/${i} &>/dev/null || true
- fi
- done
- echo
- while read line; do einfo "${line}"; done <${FILESDIR}/README.Gentoo
-}
-
-# pkg_prerm() {
-# for compiler in /usr/lib/common-lisp/bin/*.sh
-# do
-# if [ -f "$compiler" -a -r "$compiler}" ] ; then
-# i=${compiler##*/}
-# i=${i%.sh}
-# echo Deinstalling for ${i##*/}
-# echo Removing Common Lisp Controller for $i
-# if [ -x "$compiler"] ; then
-# bash "$compiler" remove-clc || true
-# fi
-# echo Done rebuilding
-# fi
-# done
-# }
diff --git a/dev-lisp/common-lisp-controller/common-lisp-controller-3.91.ebuild b/dev-lisp/common-lisp-controller/common-lisp-controller-3.91.ebuild
deleted file mode 100644
index 66ec2a94b817..000000000000
--- a/dev-lisp/common-lisp-controller/common-lisp-controller-3.91.ebuild
+++ /dev/null
@@ -1,114 +0,0 @@
-# Copyright 1999-2005 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lisp/common-lisp-controller/common-lisp-controller-3.91.ebuild,v 1.5 2005/02/13 03:41:19 mkennedy Exp $
-
-inherit eutils
-
-DESCRIPTION="Common Lisp Controller"
-HOMEPAGE="http://packages.debian.org/unstable/devel/common-lisp-controller.html"
-SRC_URI="http://ftp.debian.org/debian/pool/main/c/common-lisp-controller/${PN}_${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="x86 ~sparc ppc ~mips ~ppc-macos"
-IUSE=""
-
-DEPEND="app-admin/realpath
- !ppc-macos? ( virtual/logger )"
-
-# DEPEND=">=cl-defsystem3-3.3i-r3
-# >=dev-lisp/cl-asdf-1.84"
-
-src_unpack() {
- unpack ${A}
- epatch ${FILESDIR}/${PV}/${PN}-gentoo.patch
-}
-
-src_compile() {
- : # we dont require the compiled portion
-}
-
-src_install() {
- dobin clc-autobuild* clc-register-user-package clc-unregister-user-package
-
- dobin ${FILESDIR}/${PV}/clc-send-command
-
- dosbin register-common-lisp-source unregister-common-lisp-source
-
- dodir /usr/share/common-lisp/source/common-lisp-controller
- insinto /usr/share/common-lisp/source/common-lisp-controller
-
- doins common-lisp-controller.lisp post-sysdef-install.lisp pre-sysdef-install.lisp
-
- dodir /usr/lib/common-lisp
- dodir /usr/lib/common-lisp/bin
-
- dodir /etc/common-lisp
- # autobuild by default
- touch ${D}/etc/common-lisp/autobuild
-
- for i in \
- clc-autobuild-check \
- clc-autobuild-only \
- clc-autobuild-impl \
- clc-autobuild-library \
- clc-unregister-user-package \
- clc-register-user-package
- do doman man/$i.1
- done
-
- einfo ">>> Creating /etc/lisp-config.lisp"
- dodir /etc
- cat >${D}/etc/lisp-config.lisp <<EOF
-
-(in-package :common-lisp-user)
-
-#+(or cmu scl)
-(setf system:*short-site-name* "Unknown"
- system:*long-site-name* "Unknown")
-
-#+sbcl
-(setf sb-sys:*short-site-name* "Unknown"
- sb-sys:*long-site-name* "Unknown")
-
-EOF
- dodoc ${FILESDIR}/README.Gentoo
- keepdir /usr/lib/common-lisp /usr/lib/common-lisp/bin
-}
-
-pkg_postinst() {
- userdel cl-builder &>/dev/null || true
- groupdel cl-builder &>/dev/null || true
- enewgroup cl-builder
- enewuser cl-builder -1 /bin/sh /usr/lib/common-lisp cl-builder
- chown root:root /usr/lib/common-lisp
- for compiler in /usr/lib/common-lisp/bin/*.sh
- do
- if [ -f "${compiler}" -a -r "${compiler}" -a -x "${compiler}" ] ; then
- i=${compiler##*/}
- i=${i%.sh}
- einfo ">>> Recompiling Common Lisp Controller for $i"
- bash "$compiler" install-clc || true
- einfo ">>> Done rebuilding"
- chown -R cl-builder:cl-builder /usr/lib/common-lisp/${i} &>/dev/null || true
- fi
- done
- echo
- while read line; do einfo "${line}"; done <${FILESDIR}/README.Gentoo
-}
-
-# pkg_prerm() {
-# for compiler in /usr/lib/common-lisp/bin/*.sh
-# do
-# if [ -f "$compiler" -a -r "$compiler}" ] ; then
-# i=${compiler##*/}
-# i=${i%.sh}
-# echo Deinstalling for ${i##*/}
-# echo Removing Common Lisp Controller for $i
-# if [ -x "$compiler"] ; then
-# bash "$compiler" remove-clc || true
-# fi
-# echo Done rebuilding
-# fi
-# done
-# }
diff --git a/dev-lisp/common-lisp-controller/files/3.76-coreutils-gentoo.patch b/dev-lisp/common-lisp-controller/files/3.76-coreutils-gentoo.patch
deleted file mode 100644
index 46ebcfe4c28a..000000000000
--- a/dev-lisp/common-lisp-controller/files/3.76-coreutils-gentoo.patch
+++ /dev/null
@@ -1,42 +0,0 @@
-diff -ur common-lisp-controller.orig/clc-autobuild-check common-lisp-controller/clc-autobuild-check
---- common-lisp-controller.orig/clc-autobuild-check 2003-05-08 13:47:52.000000000 -0500
-+++ common-lisp-controller/clc-autobuild-check 2003-11-25 02:44:06.600594488 -0600
-@@ -1,4 +1,4 @@
--#!/bin/sh
-+#!/bin/sh
- set -e
- # Checks if a package should be autobuild for an implementation
- # Written by Kevin Rosenberg <kmr@debian.org>
-@@ -12,11 +12,11 @@
- cat >&2 <<END
- Usage: $progname impl library [OPTIONS]
-
--$progname checks if a library should be auto-built for a
-+$progname checks if a library should be auto-built for a
- particular implementation. It returns a status code of 0 for "yes"
- and 1 for "no". Returns 2 for a usage error.
-
--Options:
-+Options:
- -h Print this short help message
- END
- }
-@@ -31,7 +31,7 @@
- return
- fi
- if [ -r $file ]; then
-- first_line="$(cat $file | head -1)"
-+ first_line="$(cat $file | head -n 1)"
- if [ "$first_line" ]; then
- first_line="$(echo "$first_line" | tr "[A-Z]" "[a-z]")"
- if [ "$(expr "$first_line" : ".*\(yes\).*")" ]; then
-@@ -48,7 +48,7 @@
-
- clc_bin_dir=/usr/lib/common-lisp/bin
-
--if [ $# -lt 2 ]; then
-+if [ $# -lt 2 ]; then
- echo "Error: too few arguments" >&2
- usage
- exit 2
-Only in common-lisp-controller: clc-autobuild-check.~1.4.~
diff --git a/dev-lisp/common-lisp-controller/files/3.82/clc-send-command b/dev-lisp/common-lisp-controller/files/3.82/clc-send-command
deleted file mode 100644
index 0b2c5818385c..000000000000
--- a/dev-lisp/common-lisp-controller/files/3.82/clc-send-command
+++ /dev/null
@@ -1,146 +0,0 @@
-#!/bin/bash
-
-# {{{ Copyright
-
-# A shell version of the clc-send-command program.
-# Copyright (C) 2003 The Free Software Foundation
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
-# USA
-
-# Authors: Matthew Kennedy <mkennedy@gentoo.org>
-
-# }}}
-# {{{ Commentary...
-
-# Traditionally, the controller consisted of two programs:
-# clc-send-command and clc-build-daemon, The former invokes the later
-# via an Internet super-server such as inetd and xinetd.
-#
-# Why the contoller requires a Internet super-sever is beyond my
-# comprehension, hence this program.
-#
-# This program works exactly like the original clc-send-command
-# program, however it bypasses clc-build-daemon to call the controller
-# implementation scripts (/usr/lib/common-lisp/bin/*.sh) directly.
-
-# }}}
-# {{{ Utility functions
-
-function error {
- echo "Error: $1"
- exit 255
-}
-
-function warning {
- echo "Warning: $1"
- exit 0
-}
-
-function is_valid_impl {
- local impl=$1
- for i in /usr/lib/common-lisp/bin/*.sh; do
- i=$(basename ${i} .sh)
- if [ "x${i}" == "x${impl}" ]; then
- return 0
- fi
- done
- return 1
-}
-
-function is_valid_package {
- local impl=$1 package=$2
- test -d /usr/lib/common-lisp/${impl}/${package}
-}
-
-function su-maybe {
- if [ "x`whoami`" == "xroot" ]; then
- su - cl-builder -c "$@"
- else
- $@
- fi
-}
-
-function remove_package {
- local impl=$1 package=$2
-# su - cl-builder -c "/usr/lib/common-lisp/bin/${impl}.sh remove ${package}"
- su-maybe "/usr/lib/common-lisp/bin/${impl}.sh remove ${package}"
-}
-
-function recompile_package {
- local impl=$1 package=$2
- su - cl-builder -c "/usr/lib/common-lisp/bin/${impl}.sh rebuild ${package}"
-}
-
-# }}}
-
-declare -a ARGS
-
-i=0; while [ ! -z "$1" ]; do
- # collect the arguments we're interested in, discard all else
- case $1 in
- -d | --debug | -q | --quiet | -v | --verbose)
- # ignore these for now
- ;;
- -? | --help | --usage)
- cat <<EOF
-clc-send-command [OPTION...] recompile <package> <implementation>
-clc-send-command [OPTION...] remove <package> <implementation>
-EOF
- exit 1
- ;;
- --verbose | -V)
- # mimic the original clc-send-command program's output
- echo 'version 1.0 for clc v3'
- exit 1
- ;;
- *)
- ARGS[$i]=$1 i=$[$i + 1]
- ;;
- esac
- shift
-done
-
-if [ ${#ARGS[*]} -ne 3 ]; then
- error 'Invalid number of arguments.'
-fi
-
-command=${ARGS[0]} package=${ARGS[1]} impl=${ARGS[2]}
-
-is_valid_impl ${impl} \
- || error "Invalid implementaion: ${impl}"
-
-case ${command} in
- remove)
- is_valid_package ${impl} ${package} \
- || warning "Package ${package} for implementation ${impl} does not exist or has not been compiled yet."
- remove_package ${impl} ${package} \
- || error "Cannot remove package: ${package} for implementation: ${impl}"
- ;;
- recompile)
- recompile_package ${impl} ${package} \
- || error "Cannot recompile package: ${package} for implementation: ${impl}"
- ;;
- *)
- error "Unrecognized command: ${command}"
- ;;
-esac
-
-exit 0
-
-# Local Variables: ***
-# mode: shell-script ***
-# indent-tabs-mode: nil ***
-# End: ***
diff --git a/dev-lisp/common-lisp-controller/files/3.82/common-lisp-controller-gentoo.patch b/dev-lisp/common-lisp-controller/files/3.82/common-lisp-controller-gentoo.patch
deleted file mode 100644
index 752f1dd54e5c..000000000000
--- a/dev-lisp/common-lisp-controller/files/3.82/common-lisp-controller-gentoo.patch
+++ /dev/null
@@ -1,121 +0,0 @@
-Index: clc-autobuild-check
-===================================================================
-RCS file: /home/mkennedy/cvsroot/common-lisp-controller/clc-autobuild-check,v
-retrieving revision 1.1.1.1
-diff -u -r1.1.1.1 clc-autobuild-check
---- clc-autobuild-check 14 Jan 2004 17:41:13 -0000 1.1.1.1
-+++ clc-autobuild-check 14 Jan 2004 19:11:24 -0000
-@@ -31,7 +31,7 @@
- return
- fi
- if [ -r $file ]; then
-- first_line="$(cat $file | head -1)"
-+ first_line="$(cat $file | head -n 1)"
- if [ "$first_line" ]; then
- first_line="$(echo "$first_line" | tr "[A-Z]" "[a-z]")"
- if [ "$(expr "$first_line" : ".*\(yes\).*")" ]; then
-Index: post-sysdef-install.lisp
-===================================================================
-RCS file: /home/mkennedy/cvsroot/common-lisp-controller/post-sysdef-install.lisp,v
-retrieving revision 1.1.1.1
-diff -u -r1.1.1.1 post-sysdef-install.lisp
---- post-sysdef-install.lisp 14 Jan 2004 17:41:13 -0000 1.1.1.1
-+++ post-sysdef-install.lisp 14 Jan 2004 19:07:37 -0000
-@@ -146,75 +146,22 @@
-
- (defun require-defsystem3 (module-name)
- ;; if in the clc root:
-- (let ((system (mk:find-system module-name
-- :load-or-nil)))
-- (or
-- ;; try to load it
-- (progn
-- (mk:oos module-name
-- :load
-- :load-source-instead-of-binary nil
-- :load-source-if-no-binary nil
-- :bother-user-if-no-binary nil
-- :compile-during-load nil)
-- ;; did we load it?
-- (find module-name mk::*modules* :test #'string=))
-- (progn
-- (format t "~&;;;Please wait, recompiling library...")
-- (cond
-- (*recompiling-from-daemon*
-- (mk:oos module-name
-- :compile
-- :verbose nil))
-- (t
-- ;; first compile the sub-components!
-- (dolist (sub-system (make::component-depends-on system))
-- (when (stringp sub-system)
-- (setf sub-system (intern sub-system (find-package :keyword))))
-- (clc-require sub-system))
-- (common-lisp-controller:send-clc-command :recompile
-- (if (stringp module-name)
-- module-name
-- (string-downcase
-- (symbol-name
-- module-name))))))
-- (terpri)
-- (mk:oos module-name
-- :load
-- :load-source-instead-of-binary nil
-- :load-source-if-no-binary nil
-- :bother-user-if-no-binary nil
-- :compile-during-load nil)
-- t))))
-+ (let ((system (mk:find-system module-name :load-or-nil)))
-+ (mk:oos module-name
-+ :load
-+ :load-source-instead-of-binary nil
-+ :load-source-if-no-binary nil
-+ :bother-user-if-no-binary nil
-+ :compile-during-load nil)
-+ ;; did we load it?
-+ (find module-name mk::*modules* :test #'string=)))
-
-
- (defun require-asdf (module-name)
- (let ((system (asdf:find-system module-name)))
- (when system
-- (if (asdf-system-compiled-p system)
-- (asdf:oos 'asdf:load-op module-name)
-- (progn
-- (format t "~&;;; Please wait, recompiling library...")
-- (cond
-- (*recompiling-from-daemon*
-- (asdf:oos 'asdf:compile-op module-name))
-- (t
-- ;; first compile the depends-on
-- (dolist (sub-system
-- ;; skip asdf:load-op at beginning of first list
-- (cdar (asdf:component-depends-on
-- (make-instance 'asdf:compile-op) system)))
-- (clc-require sub-system))
-- (let ((module-name-str
-- (if (stringp module-name)
-- module-name
-- (string-downcase (symbol-name module-name)))))
-- ;; clc-build-daemon will report pkg built unless all components are removed
-- (common-lisp-controller:send-clc-command :remove module-name-str)
-- (common-lisp-controller:send-clc-command :recompile module-name-str))))
-- (terpri)
-- (asdf:oos 'asdf:load-op module-name)))
-- t)))
-+ (asdf:oos 'asdf:load-op module-name)))
-+ t)
-
- ;; we need to hack the require to
- ;; call clc-send-command on load failure...
-@@ -234,9 +181,7 @@
-
- (defun compile-library (library)
- "Recompiles the given library"
-- (let* (;; this is because of clc-build-daemon
-- (*recompiling-from-daemon* t)
-- (system (find-system-def library)))
-+ (let ((system (find-system-def library)))
- (case system
- (:defsystem3
- (mk:oos library :compile :verbose nil))
diff --git a/dev-lisp/common-lisp-controller/files/3.91/clc-send-command b/dev-lisp/common-lisp-controller/files/3.91/clc-send-command
deleted file mode 100644
index 0b2c5818385c..000000000000
--- a/dev-lisp/common-lisp-controller/files/3.91/clc-send-command
+++ /dev/null
@@ -1,146 +0,0 @@
-#!/bin/bash
-
-# {{{ Copyright
-
-# A shell version of the clc-send-command program.
-# Copyright (C) 2003 The Free Software Foundation
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
-# USA
-
-# Authors: Matthew Kennedy <mkennedy@gentoo.org>
-
-# }}}
-# {{{ Commentary...
-
-# Traditionally, the controller consisted of two programs:
-# clc-send-command and clc-build-daemon, The former invokes the later
-# via an Internet super-server such as inetd and xinetd.
-#
-# Why the contoller requires a Internet super-sever is beyond my
-# comprehension, hence this program.
-#
-# This program works exactly like the original clc-send-command
-# program, however it bypasses clc-build-daemon to call the controller
-# implementation scripts (/usr/lib/common-lisp/bin/*.sh) directly.
-
-# }}}
-# {{{ Utility functions
-
-function error {
- echo "Error: $1"
- exit 255
-}
-
-function warning {
- echo "Warning: $1"
- exit 0
-}
-
-function is_valid_impl {
- local impl=$1
- for i in /usr/lib/common-lisp/bin/*.sh; do
- i=$(basename ${i} .sh)
- if [ "x${i}" == "x${impl}" ]; then
- return 0
- fi
- done
- return 1
-}
-
-function is_valid_package {
- local impl=$1 package=$2
- test -d /usr/lib/common-lisp/${impl}/${package}
-}
-
-function su-maybe {
- if [ "x`whoami`" == "xroot" ]; then
- su - cl-builder -c "$@"
- else
- $@
- fi
-}
-
-function remove_package {
- local impl=$1 package=$2
-# su - cl-builder -c "/usr/lib/common-lisp/bin/${impl}.sh remove ${package}"
- su-maybe "/usr/lib/common-lisp/bin/${impl}.sh remove ${package}"
-}
-
-function recompile_package {
- local impl=$1 package=$2
- su - cl-builder -c "/usr/lib/common-lisp/bin/${impl}.sh rebuild ${package}"
-}
-
-# }}}
-
-declare -a ARGS
-
-i=0; while [ ! -z "$1" ]; do
- # collect the arguments we're interested in, discard all else
- case $1 in
- -d | --debug | -q | --quiet | -v | --verbose)
- # ignore these for now
- ;;
- -? | --help | --usage)
- cat <<EOF
-clc-send-command [OPTION...] recompile <package> <implementation>
-clc-send-command [OPTION...] remove <package> <implementation>
-EOF
- exit 1
- ;;
- --verbose | -V)
- # mimic the original clc-send-command program's output
- echo 'version 1.0 for clc v3'
- exit 1
- ;;
- *)
- ARGS[$i]=$1 i=$[$i + 1]
- ;;
- esac
- shift
-done
-
-if [ ${#ARGS[*]} -ne 3 ]; then
- error 'Invalid number of arguments.'
-fi
-
-command=${ARGS[0]} package=${ARGS[1]} impl=${ARGS[2]}
-
-is_valid_impl ${impl} \
- || error "Invalid implementaion: ${impl}"
-
-case ${command} in
- remove)
- is_valid_package ${impl} ${package} \
- || warning "Package ${package} for implementation ${impl} does not exist or has not been compiled yet."
- remove_package ${impl} ${package} \
- || error "Cannot remove package: ${package} for implementation: ${impl}"
- ;;
- recompile)
- recompile_package ${impl} ${package} \
- || error "Cannot recompile package: ${package} for implementation: ${impl}"
- ;;
- *)
- error "Unrecognized command: ${command}"
- ;;
-esac
-
-exit 0
-
-# Local Variables: ***
-# mode: shell-script ***
-# indent-tabs-mode: nil ***
-# End: ***
diff --git a/dev-lisp/common-lisp-controller/files/3.91/common-lisp-controller-gentoo.patch b/dev-lisp/common-lisp-controller/files/3.91/common-lisp-controller-gentoo.patch
deleted file mode 100644
index bf4c7d4da950..000000000000
--- a/dev-lisp/common-lisp-controller/files/3.91/common-lisp-controller-gentoo.patch
+++ /dev/null
@@ -1,105 +0,0 @@
-diff -ur common-lisp-controller-3.91.orig/clc-autobuild-check common-lisp-controller-3.91/clc-autobuild-check
---- common-lisp-controller-3.91.orig/clc-autobuild-check 2002-09-26 01:41:28.000000000 -0500
-+++ common-lisp-controller-3.91/clc-autobuild-check 2004-08-01 14:11:35.233389176 -0500
-@@ -31,7 +31,7 @@
- return
- fi
- if [ -r $file ]; then
-- first_line="$(cat $file | head -1)"
-+ first_line="$(cat $file | head -n 1)"
- if [ "$first_line" ]; then
- first_line="$(echo "$first_line" | tr "[A-Z]" "[a-z]")"
- if [ "$(expr "$first_line" : ".*\(yes\).*")" ]; then
-Only in common-lisp-controller-3.91: clc-autobuild-check~
-diff -ur common-lisp-controller-3.91.orig/post-sysdef-install.lisp common-lisp-controller-3.91/post-sysdef-install.lisp
---- common-lisp-controller-3.91.orig/post-sysdef-install.lisp 2004-07-13 10:22:02.000000000 -0500
-+++ common-lisp-controller-3.91/post-sysdef-install.lisp 2004-08-01 14:13:26.991399376 -0500
-@@ -219,76 +219,22 @@
- "T if we are recompiling on orders of the clc-build-daemon")
-
- (defun require-defsystem3 (module-name)
-- ;; if in the clc root:
-- (let ((system (mk:find-system module-name
-- :load-or-nil)))
-- (or
-- ;; try to load it
-- (progn
-- (mk:oos module-name
-- :load
-- :load-source-instead-of-binary nil
-- :load-source-if-no-binary nil
-- :bother-user-if-no-binary nil
-- :compile-during-load nil)
-- ;; did we load it?
-- (find module-name mk::*modules* :test #'string=))
-- (progn
-- (format t "~&;;;Please wait, recompiling library...")
-- (cond
-- (*recompiling-from-daemon*
-- (mk:oos module-name
-- :compile
-- :verbose nil))
-- (t
-- ;; first compile the sub-components!
-- (dolist (sub-system (make::component-depends-on system))
-- (when (stringp sub-system)
-- (setf sub-system (intern sub-system (find-package :keyword))))
-- (clc-require sub-system))
-- (common-lisp-controller:send-clc-command :recompile
-- (if (stringp module-name)
-- module-name
-- (string-downcase
-- (symbol-name
-- module-name))))))
-- (terpri)
-- (mk:oos module-name
-- :load
-- :load-source-instead-of-binary nil
-- :load-source-if-no-binary nil
-- :bother-user-if-no-binary nil
-- :compile-during-load nil)
-- t))))
-+ (let ((system (mk:find-system module-name :load-or-nil)))
-+ (mk:oos module-name
-+ :load
-+ :load-source-instead-of-binary nil
-+ :load-source-if-no-binary nil
-+ :bother-user-if-no-binary nil
-+ :compile-during-load nil)
-+ ;; did we load it?
-+ (find module-name mk::*modules* :test #'string=)))
-
-
- (defun require-asdf (module-name)
- (let ((system (asdf:find-system module-name)))
- (when system
-- (if (asdf-system-compiled-p system)
-- (asdf:oos 'asdf:load-op module-name)
-- (progn
-- (format t "~&;;; Please wait, recompiling library...")
-- (cond
-- (*recompiling-from-daemon*
-- (asdf:oos 'asdf:compile-op module-name))
-- (t
-- ;; first compile the depends-on
-- (dolist (sub-system
-- ;; skip asdf:load-op at beginning of first list
-- (cdar (asdf:component-depends-on
-- (make-instance 'asdf:compile-op) system)))
-- (clc-require sub-system))
-- (let ((module-name-str
-- (if (stringp module-name)
-- module-name
-- (string-downcase (symbol-name module-name)))))
-- ;; clc-build-daemon will report pkg built unless all components are removed
-- (common-lisp-controller:send-clc-command :remove module-name-str)
-- (common-lisp-controller:send-clc-command :recompile module-name-str))))
-- (terpri)
-- (asdf:oos 'asdf:load-op module-name)))
-- t)))
-+ (asdf:oos 'asdf:load-op module-name)))
-+ t)
-
- ;; we need to hack the require to
- ;; call clc-send-command on load failure...
-Only in common-lisp-controller-3.91: post-sysdef-install.lisp~
diff --git a/dev-lisp/common-lisp-controller/files/clc-build-daemon b/dev-lisp/common-lisp-controller/files/clc-build-daemon
deleted file mode 100644
index 568d39c21eb1..000000000000
--- a/dev-lisp/common-lisp-controller/files/clc-build-daemon
+++ /dev/null
@@ -1,21 +0,0 @@
-# This is the configuration for the the common-lisp-controller build
-# daemon. You would normally copy this file to /etc/xinet.d, make
-# changes to taste and then restart or reload the xinetd daemon.
-
-service clc-build-daemon
-{
- id = clc-build-daemon
- type = UNLISTED
- port = 8990
- socket_type = stream
- protocol = tcp
- wait = no
- user = root
- server = /usr/sbin/clc-build-daemon
- server_args = clc-build-daemon
- instances = 10
- only_from = localhost
- log_on_success = HOST PID
- log_on_failure = HOST
- disable = no
-}
diff --git a/dev-lisp/common-lisp-controller/files/clc-gentoo-3.76.patch.gz b/dev-lisp/common-lisp-controller/files/clc-gentoo-3.76.patch.gz
deleted file mode 100644
index 024df16091d6..000000000000
--- a/dev-lisp/common-lisp-controller/files/clc-gentoo-3.76.patch.gz
+++ /dev/null
Binary files differ
diff --git a/dev-lisp/common-lisp-controller/files/clc-send-command b/dev-lisp/common-lisp-controller/files/clc-send-command
deleted file mode 100644
index 0b2c5818385c..000000000000
--- a/dev-lisp/common-lisp-controller/files/clc-send-command
+++ /dev/null
@@ -1,146 +0,0 @@
-#!/bin/bash
-
-# {{{ Copyright
-
-# A shell version of the clc-send-command program.
-# Copyright (C) 2003 The Free Software Foundation
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
-# USA
-
-# Authors: Matthew Kennedy <mkennedy@gentoo.org>
-
-# }}}
-# {{{ Commentary...
-
-# Traditionally, the controller consisted of two programs:
-# clc-send-command and clc-build-daemon, The former invokes the later
-# via an Internet super-server such as inetd and xinetd.
-#
-# Why the contoller requires a Internet super-sever is beyond my
-# comprehension, hence this program.
-#
-# This program works exactly like the original clc-send-command
-# program, however it bypasses clc-build-daemon to call the controller
-# implementation scripts (/usr/lib/common-lisp/bin/*.sh) directly.
-
-# }}}
-# {{{ Utility functions
-
-function error {
- echo "Error: $1"
- exit 255
-}
-
-function warning {
- echo "Warning: $1"
- exit 0
-}
-
-function is_valid_impl {
- local impl=$1
- for i in /usr/lib/common-lisp/bin/*.sh; do
- i=$(basename ${i} .sh)
- if [ "x${i}" == "x${impl}" ]; then
- return 0
- fi
- done
- return 1
-}
-
-function is_valid_package {
- local impl=$1 package=$2
- test -d /usr/lib/common-lisp/${impl}/${package}
-}
-
-function su-maybe {
- if [ "x`whoami`" == "xroot" ]; then
- su - cl-builder -c "$@"
- else
- $@
- fi
-}
-
-function remove_package {
- local impl=$1 package=$2
-# su - cl-builder -c "/usr/lib/common-lisp/bin/${impl}.sh remove ${package}"
- su-maybe "/usr/lib/common-lisp/bin/${impl}.sh remove ${package}"
-}
-
-function recompile_package {
- local impl=$1 package=$2
- su - cl-builder -c "/usr/lib/common-lisp/bin/${impl}.sh rebuild ${package}"
-}
-
-# }}}
-
-declare -a ARGS
-
-i=0; while [ ! -z "$1" ]; do
- # collect the arguments we're interested in, discard all else
- case $1 in
- -d | --debug | -q | --quiet | -v | --verbose)
- # ignore these for now
- ;;
- -? | --help | --usage)
- cat <<EOF
-clc-send-command [OPTION...] recompile <package> <implementation>
-clc-send-command [OPTION...] remove <package> <implementation>
-EOF
- exit 1
- ;;
- --verbose | -V)
- # mimic the original clc-send-command program's output
- echo 'version 1.0 for clc v3'
- exit 1
- ;;
- *)
- ARGS[$i]=$1 i=$[$i + 1]
- ;;
- esac
- shift
-done
-
-if [ ${#ARGS[*]} -ne 3 ]; then
- error 'Invalid number of arguments.'
-fi
-
-command=${ARGS[0]} package=${ARGS[1]} impl=${ARGS[2]}
-
-is_valid_impl ${impl} \
- || error "Invalid implementaion: ${impl}"
-
-case ${command} in
- remove)
- is_valid_package ${impl} ${package} \
- || warning "Package ${package} for implementation ${impl} does not exist or has not been compiled yet."
- remove_package ${impl} ${package} \
- || error "Cannot remove package: ${package} for implementation: ${impl}"
- ;;
- recompile)
- recompile_package ${impl} ${package} \
- || error "Cannot recompile package: ${package} for implementation: ${impl}"
- ;;
- *)
- error "Unrecognized command: ${command}"
- ;;
-esac
-
-exit 0
-
-# Local Variables: ***
-# mode: shell-script ***
-# indent-tabs-mode: nil ***
-# End: ***
diff --git a/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.64 b/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.64
deleted file mode 100644
index ac0872a2da85..000000000000
--- a/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.64
+++ /dev/null
@@ -1 +0,0 @@
-MD5 dd4ca0fe22136b47eef55861d72b5e64 common-lisp-controller_3.64.tar.gz 1225040
diff --git a/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.76 b/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.76
deleted file mode 100644
index b7f4bd60c969..000000000000
--- a/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.76
+++ /dev/null
@@ -1 +0,0 @@
-MD5 9e2498694527902f9c42364a7c27721c common-lisp-controller_3.76.tar.gz 1229601
diff --git a/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.76-r1 b/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.76-r1
deleted file mode 100644
index b7f4bd60c969..000000000000
--- a/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.76-r1
+++ /dev/null
@@ -1 +0,0 @@
-MD5 9e2498694527902f9c42364a7c27721c common-lisp-controller_3.76.tar.gz 1229601
diff --git a/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.76-r2 b/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.76-r2
deleted file mode 100644
index b7f4bd60c969..000000000000
--- a/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.76-r2
+++ /dev/null
@@ -1 +0,0 @@
-MD5 9e2498694527902f9c42364a7c27721c common-lisp-controller_3.76.tar.gz 1229601
diff --git a/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.82 b/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.82
deleted file mode 100644
index 140a1194f515..000000000000
--- a/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.82
+++ /dev/null
@@ -1 +0,0 @@
-MD5 d86baa5aba313d1b1712ec44eaa25cba common-lisp-controller_3.82.tar.gz 1231728
diff --git a/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.91 b/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.91
deleted file mode 100644
index 20a4675f7e05..000000000000
--- a/dev-lisp/common-lisp-controller/files/digest-common-lisp-controller-3.91
+++ /dev/null
@@ -1 +0,0 @@
-MD5 14c70d4fe899d8b5559727516bd7c4fd common-lisp-controller_3.91.tar.gz 1232780
diff --git a/dev-lisp/common-lisp-controller/files/inetd.conf-snippet b/dev-lisp/common-lisp-controller/files/inetd.conf-snippet
deleted file mode 100644
index ad2ee0ca581b..000000000000
--- a/dev-lisp/common-lisp-controller/files/inetd.conf-snippet
+++ /dev/null
@@ -1 +0,0 @@
-8990 stream tcp nowait.400 root /usr/sbin/clc-build-daemon clc-build-daemon \ No newline at end of file